package auth

import (
	"context"

	"github.com/tech/sendico/pkg/model"
	"github.com/tech/sendico/pkg/mservice"
)

type Provider interface {
	Enforcer() Enforcer
	Manager() Manager
	GetPolicyDescription(ctx context.Context, resource mservice.Type) (*model.PolicyDescription, error)
}
